
<script>
    import TopAppBar, {
      Row,
      Section,
      Title,
      AutoAdjust,
    } from '@smui/top-app-bar';
    import IconButton from '@smui/icon-button';
    let topAppBar;
    import TinyPouchDB from '../../TinyPouchDB.svelte';
    import LayoutGrid from '@smui/layout-grid';
    let tets = null;
    let books =[];
    // initialisation des variable a récupérer
    let auteur ="";
    let id ="";
    let rev ="";
    let url ="";
    let price ="";
    let title ="";
    let type ="";
    let description;
    let ima = "";
    let dataur = url;
    let imagespl = ima.split("\\");
    let content_type ="";
    
    
</script>
<!-- réccuperation des funcion via bind:this={variable} correspondant a = new TinyPouchDB  -->
<TinyPouchDB bind:this={tets} bind:documents={books} initsrc="/books.json" collection="books" >
</TinyPouchDB>
<TopAppBar bind:this={topAppBar} variant="fixed">
  <Row>
    <Section>
      <IconButton class="material-icons" href="/">menu</IconButton>
      <Title>Fixed</Title>
    </Section>
    <Section align="end" toolbar>
      <IconButton class="material-icons" aria-label="Download"
        >file_download</IconButton
      >
      <IconButton class="material-icons" aria-label="Bookmark this page"
        >bookmark</IconButton
      >
      <IconButton class="material-icons" aria-label="add" 
        >add</IconButton
      >
    </Section>
</Row>
</TopAppBar>
<br>
<br>
<LayoutGrid>
    <section>
      <!-- récuppération des variable et ajout de valeur quand on rentre une valeur pour chaque lettre ou chiffre  -->
      <p>auteur </p>
        <input type="text"  bind:value= {auteur}>
        <p>url </p>
        <input type="text" bind:value= {url}>
        <p>url image</p>
        <input type="text" bind:value= {dataur} placeholder="meme que l'url">
        <p>identifiant </p>
        <input type="text" bind:value= {id}>
        <p>revision </p>
        <input type="text" bind:value= {rev}>
        <p>price</p>
        <input type="number" bind:value= {price}>
        <p>type</p>
        <input type="text" bind:value= {type}>
        <p>title </p>
        <input type="text" bind:value= {title}>
        <p>description </p>
        <textarea type="text" bind:value= {description}></textarea>
        <p>type image </p>
        <input type="text"  bind:value= {content_type}>
        <p>nom d'image </p>
        <input type="file"  bind:value={ima}>
      <br>
      
          <!-- envois les information a la base de fonction de pouch -->
      <button id="ajoutbd" on:click={() => {tets.add_pouch(auteur,url,id,price,title,type,description,content_type,dataur,imagespl,ima)}} >enregistré</button>
    </section>
</LayoutGrid>

